Package org.globus.gsi.gssapi.net.impl

# Class GSIGssInputStream

java.lang.Object
java.io.InputStream
org.globus.gsi.gssapi.net.GssInputStream
org.globus.gsi.gssapi.net.impl.GSIGssInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class GSIGssInputStream extends GssInputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected byte[]`
`header`
`protected int`
`mode`

### Fields inherited from class org.globus.gsi.gssapi.net.GssInputStream

`buff, context, in, index`

## Constructor Summary

Constructors
Constructor
Description
`GSIGssInputStream(InputStream in, GSSContext context)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getWrapMode()`
`byte[]`
`readHandshakeToken()`
`protected void`
`readMsg()`
`protected byte[]`
`readToken()`

### Methods inherited from class org.globus.gsi.gssapi.net.GssInputStream

`available, close, hasData, read, read, read, unwrap`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### header

protected byte[] header

### mode

protected int mode

## Constructor Details

### GSIGssInputStream

public GSIGssInputStream(InputStream in, GSSContext context)

## Method Details

### readMsg

protected void readMsg() throws IOException

Specified by:
  `readMsg` in class `GssInputStream`
Throws:
  `IOException`

### getWrapMode

public int getWrapMode()

### readHandshakeToken

public byte[] readHandshakeToken() throws IOException

Throws:
  `IOException`

### readToken

protected byte[] readToken() throws IOException

Throws:
  `IOException`